function merit = figureofmerit(bb, t1clusters, t2clusters)
% calculates figure of merit (see JNM paper) from bb, the dataset with all
% the initial target data, t1clusters and t2clusters, each vectors with the
% number in each cluster. Note that this version assumes the number of
% targets to be precisely 2.
%
% started LSS 8 June 2006. 
%
numclasses = 2 ;
for i=1:numclasses
    targetnumber(i) = length(bb(i).targettimes) ;
end

[temp nclusts] = size(t1clusters) ;


merit = 0 ;
% concatenate clusters into 1 array
clarray = zeros([numclasses nclusts]) ;
clarray(1,:) = t1clusters ;
clarray(2,:) = t2clusters ;

startclust = 2 ; % set to 2 since class 1 is a catch-all class.
for classno = 1:numclasses
    maxti = 0 ;
    for clustno = startclust:nclusts
        if maxti < clarray(classno, clustno) - clarray(3-classno, clustno)
            maxti = clarray(classno, clustno) - clarray(3-classno, clustno) ;
        end
    end
    merit = merit + maxti/targetnumber(classno) ;
end
merit = merit/2 ;


            
