% script to generate morph datasets
%
% at the end, tstart contains the spike trains, bval the information about
% the target spikes, start the start and finish the finish values for the
% strengths of original signal, differentiated signal, and twice
% differentiated signal.
% 
% Note that in generatenoisysamples.m, the strengths of the second target 
% neuron MUST be set to the same values as the finish values below.
%
% One less than number of morphed datasets generated. Last one has
% identical spikes in target 1 and target 2. Provides a useful sanity
% check.
%
nmorphs = 10 ;

% start = [0.1 0.15 0.03] ;
% finish = [0.0 0.3 0.1] ;

start = [0.15 0.1 0.05] ;
finish = [0.05 0.33 0.1] ;


delta = (finish - start) /nmorphs ;
target1 = start 

[tstart(1,:) bval(1).info cc] = generatenoisysamples('N_Targets', 2, 'N_Jitter', 5, 'N_Uncorr', 50, ...
    'ShowSNR', 1, 'Duration', 30, 'SameTargetSizes', 1, 'Target1weights', target1) ;

for i = 2:nmorphs + 1 % last one will have target1 = finish
    target1 = target1 + delta 
    [tstart(i,:) bval(i).info cc] = generatenoisysamples('N_Targets', 2, 'N_Jitter', 5, 'N_Uncorr', 50, ...
    'ShowSNR', 1, 'Duration', 30, 'SameTargetSizes', 1, 'ReuseTargetTimes', bval(1).info, 'Target1weights', target1) ;
end

% save data ready for wave_clus: this programs demands that the dataset is
% called "data"
for i=1:nmorphs+1
    data = tstart(i,:) ;
    save(['data_snr2' num2str(i)], 'data') ;
end

% save dataset for possible later re-use. 
save('morphdata2', 'tstart', 'bval', 'start', 'finish', 'nmorphs') ;