function producecomparisons(bb, cluster_class, inspk)
% function to display results from wave-cluss and KK
% assumes: bb contains structure output from gennoisyaamples (ground truth) and
% cluster_class contains the output from wave_clus
%
% returns nothing: prints results to screen
%
numclasses = 2 ; % number of classes in the ground truth data
% run KK
kk_class = runKlustaKwik(inspk, 'lss100', cluster_class) ;

% get wc output
for classno = 1:numclasses
    [wcout(classno).classes wcout(classno).missing] = matchspikes(bb(classno).actualpeaks, cluster_class) ;
end
wcinserts = findinsertions(bb,cluster_class) ;
% get KK output
for classno = 1:numclasses
    [kkout(classno).classes kkout(classno).missing] = matchspikes(bb(classno).actualpeaks, kk_class) ;
end
kkinserts = findinsertions(bb,kk_class) ;
% display results in a readable form
disp(['Ground truth']) ;
for i=1:numclasses
    disp(['class= ' num2str(i) ' total= ' num2str(length(bb(i).targettimes))]) ;
end
disp(['wave_clus: results']) ;
% disp(['class ' num2str(i) '   0        1        2        3        4        5        6']) ;

for i=1:numclasses 
    [temp wcclasses] = size(wcout(i).classes) ;
    disp(wcout(i).classes) ; 
    disp(['Sum=' num2str(sum(wcout(i).classes(2,:)))]) ;
    disp(['Missing=' num2str(wcout(i).missing)]) ;
end
fom = figureofmerit(bb, wcout(1).classes(2,:), wcout(2).classes(2,:)) ;
disp(['Figure of merit = ' num2str(fom)]) ;
disp(['inserted: ' 'total=' num2str(length(wcinserts)) ' 0=' num2str(length(find(wcinserts == 0))) ...
    ' 1=' num2str(length(find(wcinserts == 1)))  ' 2=' num2str(length(find(wcinserts == 2))) ...
    ' 3=' num2str(length(find(wcinserts == 3)) ) ' 4=' num2str(length(find(wcinserts == 4)))])
% disp(wcinserts) ;
disp(['KlustaKwik: results']) ;
for i=1:numclasses 
    % [temp wcclasses] = size(wcout(i).classes) ;
    disp(kkout(i).classes) ;
    disp(['Sum=' num2str(sum(kkout(i).classes(2,:)))]) ;
    disp(['Missing=' num2str(kkout(i).missing)]) ;
end
fom = figureofmerit(bb, kkout(1).classes(2,:), kkout(2).classes(2,:)) ;
disp(['Figure of merit = ' num2str(fom)]) ;
disp(['inserted: ' 'total=' num2str(length(kkinserts)) ' 0=' num2str(length(find(kkinserts == 0))) ...
    ' 1=' num2str(length(find(kkinserts == 1)))  ' 2=' num2str(length(find(kkinserts == 2))) ...
    ' 3=' num2str(length(find(kkinserts == 3)) ) ' 4=' num2str(length(find(kkinserts == 4)))])
% disp(kkinserts) ;