function classification = runKlustaKwik(cvector, fname, wc)
% runs KlustaKwik clustering algorithm
%
% create file for KlustaKwik from PCA or wavelet coefficients from wave_clus
% cvector is the input features
% fname is the filename to use for temporary files
% wc contains the times and cluster numbers from wave-clus: we just use the
% times
%
fhandle = fopen([fname '.fet.1'], 'w') ; % open file for writing
[npoints plength] = size(cvector) ; 
fprintf(fhandle, '%-3.0d\n', plength) ;
for i=1:npoints
    for j=1:plength
        fprintf(fhandle, '%-12.6f\t', cvector(i,j)) ;
    end
    fprintf(fhandle, '\n') ;
end
fclose(fhandle) ;
% now run KK on this file
% replace with wherever KlustaKwik resides
%
% for the meaning of the parameters, see the KlustaKwik documentation at
% http://klustakwik.sourceforge.net/
%
% unix(sprintf(['/Users/lss/matlab_stuff/NoiseModellingv1point1/Extras/KlustaKwik ',fname, ' 1 -MinClusters 2 -MaxPossibleClusters 6 -UseFeatures 1111111111 -Screen 0 -PenaltyMix 1']));
unix(sprintf(['/Users/lss/matlab_stuff/NoiseModellingv1point1/Extras/KlustaKwik ',fname, ' 1 -MinClusters 2  -UseFeatures 1111100000 -Screen 0 -PenaltyMix 1']));
%unix(sprintf(['/Users/lss/matlab_stuff/NoiseModellingv1point1/Extras/KlustaKwik ',fname, ' 1 -MinClusters 2 -MaxPossibleClusters 5 -UseFeatures 1111100000 -Screen 0 -PenaltyMix 1']));
%unix(sprintf(['/Users/lss/matlab_stuff/NoiseModellingv1point1/Extras/KlustaKwik ',fname, ' 1 -MinClusters 2  -UseFeatures 1111100000 -Screen 0 -PenaltyMix 1']));
% now read the output file back to generate something akin to the
% cluster_class datastructure, with the time followed by the cluster number
classification = zeros([npoints 2]) ;
classification(:,2) = wc(:,2) ; % times
fhandle2 = fopen([fname '.clu.1'], 'r') ; % open cluster file
temp1 = fscanf(fhandle2, '%2d', [1 inf]) ;
disp(['number of clusters = ' num2str(temp1(1))]) ;
classification(:,1) = temp1(2:end)' ;


